Bug 1411509 - Can't save retirement date without notification
Summary: Can't save retirement date without notification
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: lgalis
QA Contact: Mike Shriver
URL:
Whiteboard: retirement
Depends On: 1384030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 21:15 UTC by Satoe Imaishi
Modified: 2017-02-27 19:19 UTC (History)
6 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1384030
Environment:
Last Closed: 2017-02-27 19:19:22 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-09 21:20:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9956709130e6363a14c2ceb52d3c09419ebc9bf0

commit 9956709130e6363a14c2ceb52d3c09419ebc9bf0
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Dec 7 15:45:06 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 9 16:15:58 2017 -0500

    Merge pull request #12343 from lgalis/save_retirement_date_fails
    
    The save button is disabled when the retirement date is set to current or next day
    (cherry picked from commit 8ce9c08dc652b83031fd877d075ac7c848eada84)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411509

 app/assets/javascripts/directives/checkchange.js |  6 +++---
 spec/javascripts/directives/checkchange_spec.js  | 22 ++++++++++++++++++++++
 2 files changed, 25 insertions(+), 3 deletions(-)

Comment 3 Mike Shriver 2017-01-29 23:27:01 UTC
Tested and verified against CFME 5.7.1.0.20170124142149_8a5f4d5 in Chrome.

The retirement date may be set to the current or next day, and the save button will become enabled. The date is saved and shown when the form is viewed again.

Comment 5 errata-xmlrpc 2017-02-27 19:19:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.